Sets the image resolution

- « Imagick::setImageRenderingIntent

- Imagick::setImageScene »

- PHP Manual
- Imagick
- Sets the image resolution

# Imagick::setImageResolution

(PECL imagick 2, PECL imagick 3)

Imagick::setImageResolution — Sets the image resolution

### Description

public Imagick::setImageResolution(float `$x_resolution`, float `$y_resolution`): bool

Sets the image resolution.

### Parameters

`x_resolution`

`y_resolution`

### Return Values

Returns `true` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 Imagick::setImageResolution()

    <?phpfunction setImageResolution($imagePath) {    $imagick = new \Imagick(realpath($imagePath));    $imagick->setImageResolution(50, 50);        header("Content-Type: image/jpg");    echo $imagick->getImageBlob();}?>